package com.ruoyi.app.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.aliyun.dysmsapi20170525.Client;
import com.aliyun.dysmsapi20170525.models.SendSmsRequest;
import com.aliyun.dysmsapi20170525.models.SendSmsResponse;
import com.aliyun.teaopenapi.models.Config;

import com.google.gson.Gson;
import com.ruoyi.app.service.MSGService;

import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.*;

@Service
public class MSGServiceImpl implements MSGService {

    @Override
    public boolean send(Map map, String phone) {
        if(StringUtils.isEmpty(phone)) return false;

        Config config = new Config()
                // 您的AccessKey ID
                .setAccessKeyId("LTAI4G7nRizWr6666RfgSys")
                // 您的AccessKey Secret
                .setAccessKeySecret("n9TuOpZP77777kZusepek");
        // 访问的域名（这个不用变都是这个）
        config.endpoint = "dysmsapi.aliyuncs.com";
        Client client = null;
        try {
            client = new Client(config);
            SendSmsRequest request = new SendSmsRequest();

            request.setSignName("阿里云短信测试");//签名名称
            request.setTemplateCode("SMS_154950000");//模版Code
            request.setPhoneNumbers("1991470000");//电话号码
            //这里的参数是json格式的字符串
            request.setTemplateParam(JSONObject.toJSONString(map));
            SendSmsResponse response = client.sendSms(request);
            System.out.println("发送成功："+new Gson().toJson(response));
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    //控制只能输入数字
    @Override
    public void coll(){
        Scanner i_Scanner = new Scanner(System.in);
        System.out.print("请输入数字： ");
        while (true) {
            try {
                String str = i_Scanner.next();
                int a = Integer.valueOf(str);
                return;
            } catch (Exception e) {
                System.out.println("ERROR!");
                System.out.println("请重新输入：");
            }
        }
    }
}


