package com.ruoyi.app.common;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class R<T> {
    private Integer code;//编码值1为成功0为失败
    private String msg;//错误信息
    private T data;//数据
    private Map map = new HashMap();//动态数据

    public static <T> R<T> success(T data) {
        R r = new R();
        r.code = 1;
        r.data = data;
        return r;
    }
    public static <T> R<T> error(String message) {

        R r = new R();
        r.code = 0;
        r.msg = message;
        return r;
    }
    public R<T> put(String key ,Object value){

        this.map.put(key,value);
        return this;
    }
}
